package soln;

import helper.VendingMachine;

public class Check08S {

	public static void main(String[] args) {
		// Step 4a. Cut and paste all the statements from the body of the main
		// method of previous step in the space immediately after this comment
		// but before the start of the next comment. Remove all of the
		// comments from the previous step.
		int bagsOfChips;
		int cansOfPop;
		bagsOfChips = 20;
		cansOfPop = 30;
		VendingMachine virtualVendingMachine;
		virtualVendingMachine = new VendingMachine(bagsOfChips, cansOfPop);
		System.out.println("The value of the virtual vending machine is "
				+ virtualVendingMachine.toProperString());
		virtualVendingMachine.addBagsOfChips(10);
		virtualVendingMachine.addCansOfPop(5);
		System.out.println("The value of the virtual vending machine is "
				+ virtualVendingMachine.getCansOfPop() + " cans of pop and "
				+ virtualVendingMachine.getBagsOfChips() + " bags of chips.");
		System.out.println("The value of the cans of pop is "
				+ virtualVendingMachine.getValueOfCansOfPop()
				+ " dollars and the value of bags of chips is "
				+ virtualVendingMachine.getValueOfBagsOfChips() + " dollars");
		System.out.println("The value of the virtual vending machine is "
				+ virtualVendingMachine.toProperString());
		VendingMachine newVirtualVendingMachine = new VendingMachine();
		System.out.println("The value of the new virtual vending machine is "
				+ newVirtualVendingMachine.toProperString());
		newVirtualVendingMachine.addBagsOfChips(60);
		newVirtualVendingMachine.addCansOfPop(20);
		System.out.println("The value of the new virtual vending machine is "
				+ newVirtualVendingMachine.toProperString());
		newVirtualVendingMachine.shouldShowValue(false);
		System.out.println("The value of the new virtual vending machine is "
				+ newVirtualVendingMachine.toProperString());

		// Step 4b. The class VendingMachine has the following method:
		// public boolean equals(Object otherVendingMachine)
		// Use the method on the newVirtualVendingMachine to check whether
		// virtualVendingMachine
		// is considered the be equal to newVirtualVendingMachine according to
		// the equals
		// method of class VendingMachine.
		// Print out the result to the console.
		// If the two virtual vending machines are identical then the message
		// should be
		// "The two virtual vending machines are identical: true"
		System.out.println("The two virtual vending machines are identical: "
				+ newVirtualVendingMachine.equals(virtualVendingMachine));

		// Step 4c. The class VendingMachine has the following method:
		// public boolean hasSameValue(Object otherVendingMachine)
		// Use the method on the newVirtualVendingMachine to check whether it is
		// the same
		// as virtualVendingMachine, at least with respect to the value of their
		// contents
		// Print out the result to the console.
		// If the value of the two virtual vending machines is different, then
		// the message should be
		// "The value of the two virtual vending machines are identical: false"
		System.out
				.println("The value of the two virtual vending machines are identical: "
						+ newVirtualVendingMachine
								.valueEquals(virtualVendingMachine));

		// Step 4d. We would now like to merge the contents of the two virtual
		// vending machines.
		// The class VendingMachine has the following method:
		// public void mergeContents(VendingMachine otherVendingMachine)
		// Use this method to merge the contents of newVirtualVendingMachine
		// into virtualVendingMachine.
		// Print the result to the console.
		// If the virtualVendingMachine had one can of pop and
		// newVirtualVendingMachine had one bag of chips then
		// the message should be
		// "The combined inventory of the two Vending Machine is $3.00".
		virtualVendingMachine.mergeContents(newVirtualVendingMachine);
		System.out
				.println("The combined inventory of the two Vending Machine is "
						+ virtualVendingMachine.toProperString());
	}
}
